## WebKitDOMHTMLBodyElement

WebKitDOMHTMLBodyElement

## Functions

gchar * | webkit_dom_html_body_element_get_a_link ()
void | webkit_dom_html_body_element_set_a_link ()
gchar * | webkit_dom_html_body_element_get_background ()
void | webkit_dom_html_body_element_set_background ()
gchar * | webkit_dom_html_body_element_get_bg_color ()
void | webkit_dom_html_body_element_set_bg_color ()
gchar * | webkit_dom_html_body_element_get_link ()
void | webkit_dom_html_body_element_set_link ()
gchar * | webkit_dom_html_body_element_get_text ()
void | webkit_dom_html_body_element_set_text ()
gchar * | webkit_dom_html_body_element_get_v_link ()
void | webkit_dom_html_body_element_set_v_link ()

## Properties

gchar * | a-link | Read / Write
gchar * | background | Read / Write
gchar * | bg-color | Read / Write
gchar * | link | Read / Write
gchar * | text | Read / Write
gchar * | v-link | Read / Write

## Types and Values

| WebKitDOMHTMLBodyElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLBodyElement

## Implemented Interfaces

WebKitDOMHTMLBodyElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_body_element_get_a_link ()

    gchar *
    webkit_dom_html_body_element_get_a_link
                                   (WebKitDOMHTMLBodyElement *self);

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_a_link ()

    void
    webkit_dom_html_body_element_set_a_link
                                   (WebKitDOMHTMLBodyElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_background ()

    gchar *
    webkit_dom_html_body_element_get_background
                                   (WebKitDOMHTMLBodyElement *self);

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_background ()

    void
    webkit_dom_html_body_element_set_background
                                   (WebKitDOMHTMLBodyElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_bg_color ()

    gchar *
    webkit_dom_html_body_element_get_bg_color
                                   (WebKitDOMHTMLBodyElement *self);

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_bg_color ()

    void
    webkit_dom_html_body_element_set_bg_color
                                   (WebKitDOMHTMLBodyElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_link ()

    gchar *
    webkit_dom_html_body_element_get_link (WebKitDOMHTMLBodyElement *self);

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_link ()

    void
    webkit_dom_html_body_element_set_link (WebKitDOMHTMLBodyElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_text ()

    gchar *
    webkit_dom_html_body_element_get_text (WebKitDOMHTMLBodyElement *self);

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_text ()

    void
    webkit_dom_html_body_element_set_text (WebKitDOMHTMLBodyElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_v_link ()

    gchar *
    webkit_dom_html_body_element_get_v_link
                                   (WebKitDOMHTMLBodyElement *self);

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_v_link ()

    void
    webkit_dom_html_body_element_set_v_link
                                   (WebKitDOMHTMLBodyElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLBodyElement

    typedef struct _WebKitDOMHTMLBodyElement WebKitDOMHTMLBodyElement;

## Property Details

### The `“a-link”` property

      “a-link”                   gchar *

read-write gchar* HTMLBodyElement:a-link.

Flags: Read / Write

Default value: ""

### The `“background”` property

      “background”               gchar *

read-write gchar* HTMLBodyElement:background.

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 gchar *

read-write gchar* HTMLBodyElement:bg-color.

Flags: Read / Write

Default value: ""

### The `“link”` property

      “link”                     gchar *

read-write gchar* HTMLBodyElement:link.

Flags: Read / Write

Default value: ""

### The `“text”` property

      “text”                     gchar *

read-write gchar* HTMLBodyElement:text.

Flags: Read / Write

Default value: ""

### The `“v-link”` property

      “v-link”                   gchar *

read-write gchar* HTMLBodyElement:v-link.

Flags: Read / Write

Default value: ""